CVE-2019-13300

NameCVE-2019-13300
DescriptionImageMagick 7.0.8-50 Q16 has a heap-based buffer overflow at MagickCore/statistic.c in EvaluateImages because of mishandling columns.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs931454

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
imagemagick (PTS)jessie8:6.8.9.9-5+deb8u12vulnerable
jessie (security)8:6.8.9.9-5+deb8u18vulnerable
stretch (security), stretch8:6.9.7.4+dfsg-11+deb9u7vulnerable
buster, bullseye, sid8:6.9.10.23+dfsg-2.1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
imagemagicksource(unstable)(unfixed)931454

Notes

[jessie] - imagemagick <ignored> (minor issue, patch fairly intrusive)
https://github.com/ImageMagick/ImageMagick/issues/1586
https://github.com/ImageMagick/ImageMagick6/commit/5e409ae7a389cdf2ed17469303be3f3f21cec450

Search for package or bug name: Reporting problems